Bug 487621 - (f10rhnpush) rhnpush Not Working on Fedora 10
rhnpush Not Working on Fedora 10
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-02-26 22:01 EST by Devan Goodwin
Modified: 2009-09-17 03:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2009-02-26 22:01:16 EST
Description of problem:

rhnpush appears to not be working in Fedora 10. 

How reproducible:

Seems 100%, replicated on both i386 physical host and KVM guest.

Steps to Reproduce:
1. Install Spacewalk on Fedora 10.
2. On same system run: rhnpush --channel=centos --server=http://localhost/APP --dir=./temp/ -vvvvv
  
Actual results:

(root@elaine ~) $ rhnpush --channel=centos --server=http://localhost/APP --dir=./temp/ -vvvvv
Uploading files from directory ./temp/
Connecting to http://localhost/APP
url is http://localhost/PACKAGE-PUSH
Result codes: 200 OK
Computing md5sum and package Info .This may take sometime ...
Package /root/temp/zsh-html-4.2.6-1.i386.rpm Not Found on RHN Server -- Uploading
Uploading package /root/temp/zsh-html-4.2.6-1.i386.rpm
Using POST request

Waiting 5 seconds and trying again...
Uploading package /root/temp/zsh-html-4.2.6-1.i386.rpm
Using POST request

Waiting 4 seconds and trying again...
Uploading package /root/temp/zsh-html-4.2.6-1.i386.rpm
Using POST request

Waiting 5 seconds and trying again...
Giving up after 3 attempts


Additional info:

From the server logs:

==> rhn_upload_package_push.log <==
2009/02/26 23:00:16 -03:00 5074 127.0.0.1: rhnSQL/driver_cx_Oracle.connect('Connecting to database', 'xe')
2009/02/26 23:00:16 -03:00 5074 127.0.0.1: package_push/package_push.headerParserHandler('Username', None, 'Force', 0)
2009/02/26 23:00:17 -03:00 5080 127.0.0.1: rhnSQL/driver_cx_Oracle.connect('Connecting to database', 'xe')
2009/02/26 23:00:17 -03:00 5080 127.0.0.1: package_push/package_push.headerParserHandler('Username', None, 'Force', 0)
Comment 1 Devan Goodwin 2009-02-28 11:52:16 EST
Additional info after some manual hacking on rhnpush.py:

[root@fedorasw ~]# rhnpush --channel=centos-5.2-i386 --server=http://localhost/APP --dir=temp/ -vvvv
Uploading files from directory temp/
Connecting to http://localhost/APP
url is http://localhost/PACKAGE-PUSH
Result codes: 200 OK
Computing md5sum and package Info .This may take sometime ...
Package /root/temp/openssl-0.9.8b-10.el5.i386.rpm Not Found on RHN Server -- Uploading
Uploading package /root/temp/openssl-0.9.8b-10.el5.i386.rpm
Using POST request
OHNO!!!!!!!!!!!

<class 'httplib.BadStatusLine'>
Traceback (most recent call last):
  File "/usr/share/rhn/rhnpush/rhnpush.py", line 397, in packages
    ret = self.package(pkg, digest)
  File "/usr/share/rhn/rhnpush/rhnpush.py", line 580, in package
    ret = self._push_package_v2(package, FileMD5sum)
  File "/usr/share/rhn/rhnpush/rhnpush.py", line 621, in _push_package_v2
    status, msgstr = pu.upload(package, FileMD5sum)
  File "/usr/share/rhn/rhnpush/connection.py", line 229, in upload
    self._response = self.send_http('POST', stream_body=f)
  File "/usr/share/rhn/rhnpush/connection.py", line 169, in send_http
    self._response = self.connection.getresponse()
  File "/usr/lib/python2.5/site-packages/rhn/connections.py", line 124, in getresponse
    response.begin()
  File "/usr/lib/python2.5/httplib.py", line 385, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python2.5/httplib.py", line 349, in _read_status
    raise BadStatusLine(line)
BadStatusLine
Comment 7 Jesus M. Rodriguez 2009-04-14 10:13:18 EDT
Spacewalk 0.5 released.
Comment 8 Miroslav Suchý 2009-09-17 03:10:43 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.